#2011, Eulalie Sauthier, Master Thesis

seuil <- function(input_data, colonne) {
	
#crée des graphes d'aide à la décision du seuil avec interaction avec l'utilisateur
	
#définir le seuil des données
max_v<-max(na.omit(input_data[ ,colonne]))

seuil_value<-1: max_v; #choix du seuil
moy_pot<-vector(length= max_v) #déclaration du vecteur
for (j in 1: max_v){
    moy_pot[j]<-mean(na.omit(input_data[input_data[ ,colonne]> seuil_value[j],colonne]-seuil_value[j])) #cherche la moyenne supérieure au seuil
}


pdf(paste("../Image/Seuil",colnames(input_data)[colonne],".pdf"))
plot(seuil_value,moy_pot, type="p",xlab="Seuil [mm]",ylab="E[C-s|C>s]",main=paste("Seuil de",colnames(input_data)[colonne]))
dev.off()


x11()
plot(seuil_value,moy_pot, type="p",xlab="Seuil [mm]",ylab="E[C-s|C>s]",main=paste("Seuil pour ", colnames(input_data)[colonne]))
#interagit avec l'utilisateur pour demander le seuil 
seuil <- readline(" Entrez le seuil:")
readline(prompt = "Pause. Press <Enter> to continue...")

return(seuil_value)
}